Passing SelectionSet from VBA to Lisp

Discussion in 'AutoCAD' started by Genoud Alain, Sep 16, 2004.

  1. Genoud Alain

    Genoud Alain Guest

    Hi,

    How passing SelectionSet from VBA to Lisp ?
     
    Genoud Alain, Sep 16, 2004
    #1
  2. Genoud Alain

    Jeff Mishler Guest

    In the lisp you can access the activex SS. For example, in VBA create your
    SS and name it "SSforLisp". Then in lisp:
    (setq ss-vba (vla-item
    (vla-get-selectionsets
    (vla-get-activedocument
    (vlax-get-acad-object)))
    "SSforLisp"));; gets the ActiveX SS
    (setq ss-lisp (ssadd));;creates a new ename-based ss
    (vlax-for ent ss-vba
    (ssadd (vlax-vla-object->ename ent) ss-lisp)
    );;add each object's ename to the ename-ss
     
    Jeff Mishler, Sep 16, 2004
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.